HTML2FOUR(1)

NAME
html2four - extract headers from HTML files into four-field lines

SYNOPSIS
html2four [-digit] file* command [ argument ...]

DESCRIPTION
html2four extracts information from HTML files and writes it out with four tab-separated fields: filename, last label (<a name=> tag) seen, header tag type (H[0-9]), and header text. This is an intermediate format convenient for generating a permuted index with four2perm(1) or a table of contents with a simple awkscript. The only option is a digit to limit the header levels extracted. For example, with -3 only h1, h2, h3 tags are taken. By default, it takes h[0-9], though HTML only defines levels 1 to 6.

SEE ALSO
four2perm(1)

HISTORY
Written for the Linux FreeS/WAN project <http://www.xs4all.nl/~freeswan/> by Sandy Harris.